### Struct

# Camel FolderThreadNode

#### Description

    struct CamelFolderThreadNode {
      /* No available fields */
    }

No description available.

#### Instance methods

###### camel_folder_thread_node_get_child

Gets the first child node in the tree structure from the `self`.

since: 3.58

###### camel_folder_thread_node_get_item

Gets associated data with the `self`. The actual type of the item depends on the way the `self` was created. For the `camel_folder_thread_new()` it’s a `CamelMessageInfo`, for the `camel_folder_thread_new_items()` it’s the member of the used items array.

since: 3.58

###### camel_folder_thread_node_get_next

Gets the next node in the tree structure from the `self`.

since: 3.58

###### camel_folder_thread_node_get_parent

Gets the parent node in the tree structure from the `self`.

since: 3.58